/*
 * Copyright 2013 Amadeus s.a.s.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

Aria.resourcesDefinition({
    $classpath : "test.aria.widgets.action.sortindicator.onclick.samples.Resources",
    $resources : {
        "common" : {
            "label" : {
                "ok" : "OK"
            }
        },
        "airshopper" : {
            "search" : {
                "label" : {
                    "Avail" : "Availability",
                    "FareDisplay" : "Fare Display",
                    "InfPricing" : "Informative Pricing",
                    "InfPricingAvail" : "Informative Pricing and Availability",
                    "AllFares" : "AllFares",

                    "from" : "From",
                    "to" : "To",
                    "date" : "Date",
                    "startDate" : "Start Date",
                    "endDate" : "End Date",
                    "globalIndicator" : "Global Ind.",
                    "allSectors" : "All Sectors",
                    "time" : "Time",
                    "timeRange" : "Time Range",
                    "depTime" : "Dep.Time",
                    "arrTime" : "Arr.Time",
                    "via" : "Via",

                    "stopOver" : "Stopover",
                    "nonStop" : "Non-Stop flights",

                    "calendarView" : "Calendar view (+/- 1 day)",
                    "alterAirport" : "Alternate airport",
                    "passTypeCode" : "Passenger Type Codes (PTC)",
                    "amadeusPublicFares" : "Public fares",
                    "websitePublicFares" : "Public fares",
                    "negoFares" : "Negotiated fares",
                    "fareFamilies" : "Fare families",
                    "corporateCodes" : "Corporate codes",
                    "businessFares" : "Business fares",
                    "lacaFares" : "Latin America fares",
                    "withholdTaxes" : "Withhold taxes",
                    "withholdSurch" : "Withhold surcharges",
                    "currencyOption" : "Currency option",

                    "amadeusFareType" : "Amadeus fare types",
                    "websiteFareType" : "Website fare types",
                    "taxesAndFees" : "Taxes and fees",
                    "otherOptions" : "Other options",

                    "fareBreakPoint" : "Fare Brkpt.",
                    "bkgClass" : "Booking class",
                    "cabin" : "Cabin",
                    "airlineFlightNumber" : "Airline / Flight Number",

                    "airline" : "Airline",
                    "airlines" : "Airline(s)",
                    "moreAirlines" : "More airline(s)",
                    "excluAirlines" : "Excluded airline(s)",

                    "deleteLbl" : "Delete",
                    "removeLbl" : "Remove",
                    "addSector" : "Add Sector",
                    "addSearchBound" : "Add 1 element",
                    "add" : "Add",

                    "oneWay" : "One Way",
                    "roundTrip" : "Round Trip",
                    "multiDest" : "Multi Destinations",

                    "seats" : "Seats",
                    "additionalSearchCriteria" : "Additional search criteria",
                    "ptc" : "PTC",
                    "discounts" : "Discount Codes",
                    "sortByDefaultSettings" : "Sort by default settings",
                    "oneWayFares" : "One Way Fares",
                    "returnOneWayFares" : "Return/One Way Fares",
                    "fareRequestType" : "Fare Request Type",

                    "showAdvancedOptions" : "Show Advanced Search Options",
                    "hideAdvancedOptions" : "Hide Advanced Search Options",

                    "moreSearchOptions" : "More Search Options",
                    "hideSearchOptions" : "Hide Search Options",

                    "fareType" : "Fare Type",
                    "currency" : "Currency",
                    "taxes" : "Taxes",
                    "fareRestrictionType" : "Fare Restriction Type",
                    "override" : "Override",
                    "resultsDisplay" : "Results Display",
                    "published" : "Published",
                    "negoPriv" : "Nego/Priv.",
                    "corporate" : "Corporate",
                    "viewYYFare" : "View YY fare",
                    "local" : "Local",
                    "other" : "Other",
                    "includeTaxes" : "Include taxes",
                    "includeSurcharges" : "Include surcharges",
                    "ticketingDate" : "Ticketing Date",
                    "pos" : "POS",
                    "pot" : "POT",
                    "nonStopFlightsOnly" : "Non-Stop flights only",
                    "sevenDaySearch" : "7 Day search",

                    "search" : "Search",
                    "clear" : "Clear",
                    "reset" : "Reset",
                    "searchBy" : "Search by"
                }
            },
            "avail" : {
                "label" : {
                    "previousDay" : "< Previous Day",
                    "nextDay" : "Next Day >",

                    "flight" : "Flight",
                    "bkgClass" : "Class",
                    "depCity" : "From",
                    "arrCity" : "To",
                    "depTime" : "Dep.Time",
                    "arrTime" : "Arr.Time",
                    "stops" : "Stop(s)",
                    "duration" : "Duration",
                    "aircraft" : "Aircraft",
                    "book" : "Book"
                }
            },
            "infPricing" : {
                "label" : {
                    "fareList" : "Fare List",
                    "taxesIncluded" : "(Prices include Taxes)",
                    "taxesExcluded" : "(Prices do not include Taxes)",
                    "fare" : "Fare",
                    "pax" : "PAX",
                    "discount" : "Discount",
                    "price" : "Price({0})"
                }
            }
        }
    }
});
